Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.manage
Class ManagerServerImpl.ManagerSkeleton

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--com.solarmetric.manage.ManagerServerImpl.ManagerSkeleton

All Implemented Interfaces:
  Runnable

Enclosing class:
  ManagerServerImpl

public class ManagerServerImpl.ManagerSkeleton
extends Thread

Class/thread that handles individual ManagerClient connections.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ManagerServerImpl.ManagerSkeleton(Socket socket, org.apache.commons.logging.Log log)`

Method Summary
`void` | `close()`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ManagerServerImpl.ManagerSkeleton

    public ManagerServerImpl.ManagerSkeleton(Socket socket,
                                             org.apache.commons.logging.Log log)

Method Detail

### close

    public void close()

### run

    public void run()

  Overrides:
    `run` in class `Thread`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.